English

ArcGIS Server 10.6.1 Linux Orthomapping Patch

Summary

If you are using Ortho Maker with ArcGIS Enterprise 10.6.1, this patch resolves a drone image collection adjustment failure. With this patch, users will be able to use Ortho Maker app to adjust image collection that is over 100 with ArcGIS Server 10.6.1 for Linux.

Description

Esri® announces the ArcGIS Server 10.6.1 Linux Orthomapping Patch. If you are using Ortho Maker with ArcGIS Enterprise 10.6.1, this patch resolves a drone image collection adjustment failure. With this patch, users will be able to use Ortho Maker app to adjust image collection that is over 100 with ArcGIS Server 10.6.1 for Linux. You will need to apply this patch on each server machine in the Raster Analytics Image Server site. It deals specifically with the issues listed below under Issues Addressed with this patch.


Issues Addressed with this patch


  • BUG-000121322 - Ortho Maker failed to perform block adjustment on collection of drone images that exceeds 100 images on Linux version of Image Server.

To avoid conflicts this patch also addresses:
  • BUG-000117633 - In 10.6.1 and prior, the message bus platform service may not be initialized correctly in all environments.
  • BUG-000117372 - Cross-site scripting (XSS) in Server Admin api.
  • BUG-000115799 - Vector Tile Layers hosted in ArcGIS Enterprise 10.6.1 do not overzoom successfully when viewed in the Map Viewer.

Installing this patch on Linux


Installation Steps:


Complete the following install steps as the ArcGIS Install owner. The Install owner is the owner of the arcgis folder.

ArcGIS Server must be installed before installing this patch.

  1. Download the appropriate file to a location other than your ArcGIS installation location.


    ArcGIS 10.6.1   Checksum (Md5)
         
    ArcGIS Server ArcGIS-1061-S-LO-Patch-linux.tar DF7F08F1073C97387527ACBD87233F1F
         

  2. Make sure you have write access to your ArcGIS installation location, and that no one is using ArcGIS.

  3. Extract the specified tar file by typing:

    % tar -xvf ArcGIS-1061-S-LO-Patch-linux.tar

  4. Start the installation by typing:

    % ./applypatch

    This will start the dialog for the menu-driven installation procedure. Default selections are noted in parentheses ( ). To quit the installation procedure, type 'q' at any time.


Uninstalling this patch on Linux


Uninstalling on Linux is only available on version 10.5.1 and higher. To remove this patch, navigate to the /tmp directory and run the following script as the ArcGIS Install owner:

./patchremove

Notes: You can only remove the patch that was installed most recently.

Patch Updates

Check the Patches and Service Packs page periodically for the availability of additional patches. New information about this patch will be posted here.

How to identify which ArcGIS products are installed

To determine which ArcGIS products are installed, choose the appropriate version of the PatchFinder utility for your environment and run it from your local machine. PatchFinder will list all products, hot fixes, and patches installed on your local machine.

Getting Help

Domestic sites, please contact Esri Technical Support at 1-888-377-4575, if you have any difficulty installing this patch. International sites, please contact your local Esri software distributor.